/*
 *  Copyright (C) 2000  Mel Gorman (mel@skynet.ie)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
                
#ifndef __USAGE_H
#define __USAGE_H

/* Header for a very simple command line parser */

/* Structure to store an option in */
struct optStore
{
  char  opt;
  short type;
  void  *data;
};

/* Types */
#define OPT_INT     0
#define OPT_BOOL    1
#define OPT_STRING  2

/* Simply macro to fill a struct */
#define SETOPTION(opName, element, optchar, opttype, optdest) \
  opName[element].opt  = optchar; \
  opName[element].type = opttype; \
  opName[element].data = (void *)optdest;
void parseCommandLine(char **argv, int argc, int numOptions, struct optStore option[]);

#endif
